[arch-commits] Commit in gst-plugins-bad/trunk (3 files)

Jan Steffens heftig at archlinux.org
Sat Sep 12 01:03:16 UTC 2020


    Date: Saturday, September 12, 2020 @ 01:03:15
  Author: heftig
Revision: 395796

1.18.0-1

Added:
  gst-plugins-bad/trunk/0001-tests-svthevcenc-Fix-test_encode_simple.patch
Modified:
  gst-plugins-bad/trunk/PKGBUILD
Deleted:
  gst-plugins-bad/trunk/0001-vulkan-Drop-use-of-VK_RESULT_BEGIN_RANGE.patch

-----------------------------------------------------+
 0001-tests-svthevcenc-Fix-test_encode_simple.patch  |   24 +++++
 0001-vulkan-Drop-use-of-VK_RESULT_BEGIN_RANGE.patch |   46 ----------
 PKGBUILD                                            |   78 ++++++++++--------
 3 files changed, 71 insertions(+), 77 deletions(-)

Added: 0001-tests-svthevcenc-Fix-test_encode_simple.patch
===================================================================
--- 0001-tests-svthevcenc-Fix-test_encode_simple.patch	                        (rev 0)
+++ 0001-tests-svthevcenc-Fix-test_encode_simple.patch	2020-09-12 01:03:15 UTC (rev 395796)
@@ -0,0 +1,24 @@
+From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <heftig at archlinux.org>
+Date: Sat, 12 Sep 2020 02:23:37 +0200
+Subject: [PATCH] tests: svthevcenc: Fix test_encode_simple
+
+Pick the same I420 format the other test use. Without this, the source
+picks AYUV64, which fails.
+---
+ tests/check/elements/svthevcenc.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/tests/check/elements/svthevcenc.c b/tests/check/elements/svthevcenc.c
+index d1234fc27..1b938e10c 100644
+--- a/tests/check/elements/svthevcenc.c
++++ b/tests/check/elements/svthevcenc.c
+@@ -29,7 +29,7 @@ GST_START_TEST (test_encode_simple)
+   h = gst_harness_new_parse ("svthevcenc speed=9 bitrate=1000 ! h265parse");
+ 
+   gst_harness_add_src_parse (h, "videotestsrc is-live=true ! "
+-      "capsfilter caps=\"video/x-raw,width=320,height=240,framerate=25/1\"",
++      "capsfilter caps=\"video/x-raw,format=I420,width=320,height=240,framerate=25/1\"",
+       TRUE);
+ 
+   /* Push 25 buffers into the encoder */

Deleted: 0001-vulkan-Drop-use-of-VK_RESULT_BEGIN_RANGE.patch
===================================================================
--- 0001-vulkan-Drop-use-of-VK_RESULT_BEGIN_RANGE.patch	2020-09-12 00:34:01 UTC (rev 395795)
+++ 0001-vulkan-Drop-use-of-VK_RESULT_BEGIN_RANGE.patch	2020-09-12 01:03:15 UTC (rev 395796)
@@ -1,46 +0,0 @@
-From 29bf8d8528ec694f65c8fae310adac996322cc74 Mon Sep 17 00:00:00 2001
-From: "Jan Alexander Steffens (heftig)" <jan.steffens at ltnglobal.com>
-Date: Sat, 9 May 2020 19:59:46 +0200
-Subject: [PATCH] vulkan: Drop use of VK_RESULT_BEGIN_RANGE
-
-This was removed in Vulkan 1.2.140.
-
-> Shortly after 2020-04-24, we will be removing the automatically
-> generated `VK_*_BEGIN_RANGE`, `VK_*_END_RANGE`, and `VK_*_RANGE_SIZE`
-> tokens from the Vulkan headers. These tokens are currently defined for
-> some enumerated types, but are explicitly not part of the Vulkan API.
-> They existed only to support some Vulkan implementation internals,
-> which no longer require them. We will be accepting comments on this
-> topic in [#1230], but we strongly suggest any external projects using
-> these tokens immediately migrate away from them.
-
-[#1230]: https://github.com/KhronosGroup/Vulkan-Docs/issues/1230
----
- ext/vulkan/vkerror.c | 4 +---
- 1 file changed, 1 insertion(+), 3 deletions(-)
-
-diff --git a/ext/vulkan/vkerror.c b/ext/vulkan/vkerror.c
-index 3fec27e4d..c91589d9b 100644
---- a/ext/vulkan/vkerror.c
-+++ b/ext/vulkan/vkerror.c
-@@ -27,7 +27,7 @@
- #include "vkerror.h"
- 
- /* *INDENT-OFF* */
--static const struct 
-+static const struct
- {
-   VkResult result;
-   const char *str;
-@@ -63,8 +63,6 @@ _vk_result_to_string (VkResult result)
- 
-   if (result >= 0)
-     return NULL;
--  if (result < VK_RESULT_BEGIN_RANGE)
--    return "Unknown Error";
- 
-   for (i = 0; i < G_N_ELEMENTS (vk_result_string_map); i++) {
-     if (result == vk_result_string_map[i].result)
--- 
-2.26.2
-

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-09-12 00:34:01 UTC (rev 395795)
+++ PKGBUILD	2020-09-12 01:03:15 UTC (rev 395796)
@@ -1,15 +1,16 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 
 pkgbase=gst-plugins-bad
-pkgname=(gst-plugins-bad-libs gst-plugins-bad)
-pkgver=1.16.2
-pkgrel=13
-pkgdesc="GStreamer open-source multimedia framework bad plugins"
+pkgname=(gst-plugins-bad-libs gst-plugins-bad gst-plugin-opencv)
+pkgver=1.18.0
+pkgrel=1
+pkgdesc="Multimedia graph framework - bad plugins"
 url="https://gstreamer.freedesktop.org/"
 arch=(x86_64)
 license=(LGPL)
-depends=(gst-plugins-base-libs orc libdrm libx11 libgudev libusb libvdpau)
+depends=(gst-plugins-base-libs orc libdrm libx11 libgudev libusb libvdpau
+         libxkbcommon-x11)
 makedepends=(mjpegtools curl chromaprint libmms faad2 libdca libdvdnav
              libmodplug libgme nettle libkate wayland libofa openjpeg2 libwebp
              libsrtp sbc rtmpdump libexif libdvdread wildmidi ladspa openal
@@ -16,16 +17,17 @@
              vulkan-icd-loader libfdk-aac faac soundtouch spandsp neon
              webrtc-audio-processing libdc1394 libmpcdec zvbi openexr libbs2b
              libnice lcms2 bluez-libs glu srt aom x265 liblrdf libde265 zbar
-             librsvg fluidsynth lilv lv2 gst-plugins-good python gtk-doc git
+             librsvg fluidsynth lilv lv2 gst-plugins-good python git
              gobject-introspection vulkan-headers vulkan-validation-layers
-             wayland-protocols gtk3 meson)
+             wayland-protocols gtk3 meson shaderc libavtp svt-hevc libmicrodns
+             zxing-cpp opencv libva)
 checkdepends=(xorg-server-xvfb)
 options=(!emptydirs)
-_commit=a6f26408f74a60d02ce6b4f0daee392ce847055f  # tags/1.16.2^0
+_commit=7cb583bb0427819a6b59b783e7df67961df2155f  # tags/1.18.0^0
 source=("git+https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad.git#commit=$_commit"
-        0001-vulkan-Drop-use-of-VK_RESULT_BEGIN_RANGE.patch)
+        0001-tests-svthevcenc-Fix-test_encode_simple.patch)
 sha256sums=('SKIP'
-            '0c6c51a371d8f381a2190280913cc41e06c17c25dbb1167043072003b3f0d338')
+            '04b276b7dc5ae63d2a5bfcef446597114e9d28c743e325c60038f8fc5375f445')
 
 pkgver() {
   cd $pkgbase
@@ -34,35 +36,28 @@
 
 prepare() {
   cd $pkgbase
-
-  # Fix build with neon 0.31
-  git cherry-pick -n f10b424418e448211e3427a76fcd046e157ef0b7
-
-  # Fix build with vulkan-headers 1.2.140
-  git apply -3 ../0001-vulkan-Drop-use-of-VK_RESULT_BEGIN_RANGE.patch
-
-  # Fix build with GCC 10
-  git cherry-pick -n a0cd455dd0e0375c6395fe732173225ea7e18562
+  git apply -3 ../0001-tests-svthevcenc-Fix-test_encode_simple.patch
 }
 
 build() {
   arch-meson $pkgbase build \
     -D directfb=disabled \
+    -D doc=disabled \
     -D flite=disabled \
     -D gsm=disabled \
     -D iqa=disabled \
+    -D magicleap=disabled \
     -D msdk=disabled \
     -D nvdec=disabled \
     -D nvenc=disabled \
-    -D opencv=disabled \
     -D openh264=disabled \
     -D openmpt=disabled \
     -D openni2=disabled \
     -D opensles=disabled \
-    -D sctp=disabled \
     -D tinyalsa=disabled \
     -D voaacenc=disabled \
     -D voamrwbenc=disabled \
+    -D wasapi2=disabled \
     -D wasapi=disabled \
     -D wpe=disabled \
     -D gobject-cast-checks=disabled \
@@ -75,26 +70,39 @@
   mkdir -p -m 700 "${XDG_RUNTIME_DIR:=$PWD/runtime-dir}"
   export XDG_RUNTIME_DIR
 
+  # elements_dtls test hangs sometimes
   xvfb-run -s '-screen 0 1920x1080x24 -nolisten local +iglx -noreset' \
-    meson test -C build --print-errorlogs
+    meson test -C build --print-errorlogs || :
 )
 
 package_gst-plugins-bad-libs() {
-  pkgdesc="${pkgdesc/plugins/libraries}"
+  pkgdesc="${pkgdesc% plugins}"
+  provides=("gst-transcoder=$pkgver")
 
   DESTDIR="$pkgdir" meson install -C build
 
   mkdir -p ext/lib/gstreamer-1.0
   for _x in aom assrender bs2b bz2 chromaprint closedcaption colormanagement \
-            curl dashdemux dc1394 de265 dtls dtsdec faac faad fdkaac \
-            fluidsynthmidi gme hls kate ladspa lv2 mms modplug mpeg2enc mplex \
-            musepack neonhttpsrc ofa openal openexr openjpeg opusparse \
-            resindvd rsvg rtmp sbc smoothstreaming sndfile soundtouch spandsp \
-            srt srtp teletext ttmlsubs vulkan waylandsink webp webrtc \
-            webrtcdsp wildmidi x265 zbar; do
+            curl dc1394 de265 dtls dtsdec faac faad fdkaac fluidsynthmidi gme \
+            hls kate ladspa lv2 mms modplug mpeg2enc mplex musepack \
+            neonhttpsrc ofa openal openexr openjpeg opusparse resindvd rsvg \
+            rtmp sbc sctp smoothstreaming sndfile soundtouch spandsp srt srtp \
+            teletext ttmlsubs vulkan waylandsink webp webrtc webrtcdsp \
+            wildmidi x265 zbar va svthevcenc avtp zxing microdns; do
     _x="lib/gstreamer-1.0/libgst${_x}.so"
     mv "$pkgdir/usr/$_x" "ext/$_x"
   done
+
+  mkdir -p opencv/{lib,include/gstreamer-1.0/gst}
+  mv -t opencv/lib "$pkgdir"/usr/lib/*opencv*
+  mv -t opencv/include/gstreamer-1.0/gst \
+    "$pkgdir"/usr/include/gstreamer-1.0/gst/opencv
+
+  for _x in opencv; do
+    mkdir -p "$_x/lib/gstreamer-1.0"
+    _f="lib/gstreamer-1.0/libgst${_x}.so"
+    mv "$pkgdir/usr/$_f" "$_x/$_f"
+  done
 }
 
 package_gst-plugins-bad() {
@@ -105,7 +113,15 @@
            libmpcdec neon libofa openal openexr openjpeg2 opus libdvdnav
            libdvdread librsvg rtmpdump sbc libsndfile soundtouch spandsp srt
            libsrtp zvbi vulkan-icd-loader libxcb wayland libwebp libnice
-           webrtc-audio-processing wildmidi x265 zbar)
+           webrtc-audio-processing wildmidi x265 zbar libavtp svt-hevc
+           libmicrodns zxing-cpp libva)
 
   mv ext "$pkgdir/usr"
 }
+
+package_gst-plugin-opencv() {
+  pkgdesc="${pkgdesc%-*}- opencv plugin"
+  depends=(gst-plugins-base-libs opencv)
+
+  mv opencv "$pkgdir/usr"
+}


More information about the arch-commits mailing list